- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# onyx_qos – Configures QoS

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of Onyx QoS configuration on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
interfaces - / required |  | list of interfaces name.
rewrite_dscp - | Choices: enabled disabled ← | rewrite with type dscp.
rewrite_pcp - | Choices: enabled disabled ← | rewrite with type pcp.
trust - | Choices: L2 ← L3 both | trust type.

## Notes

Note

- Tested on ONYX 3.6.8130

## Examples

    - name: configure QoS
      onyx_QoS:
        interfaces:
          - Mpo7
          - Mpo7
        trust: L3
        rewrite_pcp: disabled
        rewrite_dscp: enabled

    - name: configure QoS
      onyx_QoS:
        interfaces:
          - Eth1/1
          - Eth1/2
        trust: both
        rewrite_pcp: disabled
        rewrite_dscp: enabled

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['interface ethernet 1/16 qos trust L3', 'interface mlag-port-channel 7 qos trust L3', 'interface port-channel 1 qos trust L3', 'interface mlag-port-channel 7 qos trust L2', 'interface mlag-port-channel 7 qos rewrite dscp', 'interface ethernet 1/16 qos rewrite pcp', 'interface ethernet 1/1 no qos rewrite pcp']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Anas Badaha (@anasb)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.